<?php

namespace Treewec;

/**
 * Test class for Inspector.
 * Generated by PHPUnit on 2012-07-03 at 14:44:25.
 * @group url
 */
class InspectorTest extends \PHPUnit_Framework_TestCase {

    /** @var Inspector */
    private $inspector;

    protected function setUp() {
        $this->inspector = new Inspector;
    }

    public function testValidConditions() {
        // no return value -> empty in PHP
        $valid = array('1', true, '0', 'hello', array());
        foreach ($valid as $value) {
            $this->inspector->addCondition($value);
            $result = $this->inspector->checkNecessaryConditions();
            parent::assertTrue(empty($result));
        }
    }

    public function testInvalidConditions() {
        $this->inspector->addCondition(false);
        $exceptionHelper = new ExceptionHelper();        
        $exceptionHelper->catchExceptionInCallback('\Exception', array($this->inspector, 'checkNecessaryConditions'));        
    }

}

?>
